# Create cPanel API token

This function creates a new API token with full access to all of a cPanel account's features.

Note:

The token only grants access to the features that the account has access to. For example,
if you disable the File Manager feature, the
token can't access it.

Endpoint: GET /Tokens/create_full_access
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `name` (string, required)
    The API token's name.

Note:

The name may only contain alphanumeric characters, dashes (-), and underscores (_).
    Example: "example"

  - `expires_at` (integer)
    The API token's expiration time.

Important:

* When an API token expires the system does not delete it. You must manually delete expired API tokens.
* If you do not use this parameter, the API token will not expire.
    Example: 1609372800

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "create_full_access"

  - `module` (string)
    The name of the module called.
    Example: "Tokens"

  - `result` (object)

  - `result.data` (object)

  - `result.data.create_time` (integer)
    The API token's creation date and time.
    Example: 1549467298

  - `result.data.token` (string)
    The generated API token.
    Example: "JPQNSRU0DH448UJLGXH7KVJECC5QN9N9"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


